Bug 705192 - (CVE-2011-1924) CVE-2011-1924 tor: remote DoS fixed in 0.2.1.30
CVE-2011-1924 tor: remote DoS fixed in 0.2.1.30
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110228,reported=20110512,sou...
: Security
Depends On: 671263 705193 705194
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-16 18:20 EDT by Vincent Danen
Modified: 2013-05-30 23:14 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-30 23:14:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-05-16 18:20:41 EDT
A vulnerability in Tor was reported [1] that could allow a malicious remote attacker to cause a denial of service.  This vulnerability is due to a boundary error within the policy_summarize() function in src/or/policies.c which can be exploited to crash a Tor directory authority.

Upstream announced the release of 0.2.1.30 [2] that is noted to correct this flaw.

[1] http://secunia.com/advisories/43548/
[2] https://lists.torproject.org/pipermail/tor-announce/2011-February/000000.html
Comment 1 Vincent Danen 2011-05-16 18:21:38 EDT
Created tor tracking bugs for this issue

Affects: fedora-13 [bug 705193]
Affects: fedora-14 [bug 705194]
Affects: epel-5 [bug 671263]
Comment 2 Vincent Danen 2011-05-17 00:03:49 EDT
The upstream fix is here:

https://gitweb.torproject.org/tor.git/commitdiff/43414eb98821d3b5c6c65181d7545ce938f82c8e
Comment 3 Vincent Danen 2011-05-17 19:40:48 EDT
This was assigned CVE-2011-1924.
Comment 4 Paul Wouters 2013-05-30 23:14:18 EDT
fixed long time ago

Note You need to log in before you can comment on or make changes to this bug.